Bug 1919138 - helmchartrepo is not http(s)_proxy-aware
Summary: helmchartrepo is not http(s)_proxy-aware
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.z
Assignee: Bram Verschueren
QA Contact: Pavel Macik
Harsh Mishra
URL:
Whiteboard:
Depends On: 1918748
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-22 08:52 UTC by OpenShift BugZilla Robot
Modified: 2021-04-22 10:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, no helm charts were displayed in the developer catalog because the chart repository `httpClient()` did not consider any proxy environment variable. This issue is fixed and the helm charts are now being displayed in the developer catalog.
Clone Of:
Environment:
Last Closed: 2021-03-09 20:16:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7901 0 None open [release-4.6] Bug 1919138: helmchartrepo is not http(s)_proxy-aware 2021-02-17 18:50:52 UTC
Red Hat Product Errata RHBA-2021:0674 0 None None None 2021-03-09 20:16:26 UTC

Comment 5 Pavel Macik 2021-03-01 16:35:40 UTC
Verified with OCP v4.6.19

Comment 7 errata-xmlrpc 2021-03-09 20:16:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.20 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0674


Note You need to log in before you can comment on or make changes to this bug.